Overview
Capture Screenshot
Use this endpoint to capture a webpage screenshot and receive screenshot storage URLs.
Endpoint
GET
https://snapshot-api.mindiqglobal.com/api/v1/screenshotQuery Parameters
| Name | Required | Type | Default | Description |
|---|---|---|---|---|
| url | Yes | string | - | Target URL starting with http:// or https:// |
| full_page | No | boolean | false | Capture full page height |
| format | No | enum | png | png or jpeg |
| width | No | integer | 1280 | Viewport width |
| height | No | integer | 720 | Viewport height |
Success Response
{
"status": "success",
"imageUrl": "https://mindiqglobal-snapshot-public-data-prod.s3.amazonaws.com/screenshot/capture.png",
"format": "png"
}Response Body Parameters
| Name | Type | Description |
|---|---|---|
| status | enum | success or error |
| imageUrl | string | Public screenshot URL |
| format | enum | png or jpeg |